#! /bin/sh
# Convert GIF bitmap files to Encapsulated PostScript.
#
# Usage:
#	giftoeps gif-files
#
# The converted files have extension .eps.
#
# [17-Jul-1998] -- add -noturn option to pnmtops
# [17-Mar-1998]

if test $# -lt 1
then
	echo 'Usage: giftoeps gif-file(s)'
	exit 1
fi

for f in $*
do
	g=`basename $f .gif`
	/usr/local/pbmplus/giftopnm $f | \
		/usr/local/pbmplus/pnmtops -noturn | \
			/usr/local/bin/distill > $g.pdf
	/usr/local/bin/acroexch -toPostScript -level2 $g.pdf
	/bin/mv $g.ps $g.eps
	/bin/ls -l $g.gif $g.pdf $g.eps 
done
